Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.metadata.iso19115
Class XMLFactory

    java.lang.Object
      org.deegree.ogcbase.XMLFactory
          org.deegree.model.metadata.iso19115.XMLFactory

    public class XMLFactory

extends XMLFactory

`XMLFactory` with append methods for the various ISO 19115 elements as specified in the OWS common specification 1.0.0.

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Schmitz, last edited by: $Author: mschneider $

Field Summary

Fields inherited from class org.deegree.ogcbase.XMLFactory
`GMLNS, LOG, OGCNS, XLNNS`

Constructor Summary
`XMLFactory()`

Method Summary
`static void` | `appendAccessConstraint(Element root, Constraints constraints)` Appends the access constraint element.
`static void` | `appendAddress(Element root, Address address)` Appends the address data.
`static void` | `appendCitedResponsibleParty(Element root, CitedResponsibleParty party)` Appends the given `CitedResponsibleParty` object as XML.
`static void` | `appendCode(Element root, String tagName, Code code)` Appends an element of type CodeType with the given name and content.
`static void` | `appendContactInfo(Element root, ContactInfo contactInfo)` Appends the contact info.
`static void` | `appendKeywords(Element root, Keywords keywords)` Appends the contents of a `Keywords` object.
`static void` | `appendOnlineResource(Element root, OnlineResource link)` Appends the link.
`static void` | `appendOnlineResource(Element root, OnlineResource link, String tagName)` Appends an online resource in a newly created element in the OWS namespace.
`static void` | `appendOnlineResource(Element root, URL link)` Appends the link.
`static void` | `appendOnlineResource(Element root, URL link, String tagName)` Appends an online resource in a newly created element in the OWS namespace.
`static void` | `appendPhone(Element root, Phone phone)` Appends the phone data.

Methods inherited from class org.deegree.ogcbase.XMLFactory
`appendCodeList, appendEnvelope, appendFeatureId, appendGeometry, appendInterval, appendKeywords, appendKeywords, appendLonLatEnvelope, appendOnlineResource, appendPropertyPath, appendSimpleLinkAttributes, appendTemporalDomain, appendTimePeriod, appendTimePosition, appendTimeResolution, appendTypedLiteral, appendValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLFactory

    public XMLFactory()

Method Detail

### appendCitedResponsibleParty

    public static void appendCitedResponsibleParty(Element root,
                                                   CitedResponsibleParty party)

  Appends the given `CitedResponsibleParty` object as XML.

  Parameters:
    `root` -
    `party` -

### appendContactInfo

    public static void appendContactInfo(Element root,
                                         ContactInfo contactInfo)

  Appends the contact info.

  Parameters:
    `root` -
    `contactInfo` -

### appendPhone

    public static void appendPhone(Element root,
                                   Phone phone)

  Appends the phone data.

  Parameters:
    `root` -
    `phone` -

### appendAddress

    public static void appendAddress(Element root,
                                     Address address)

  Appends the address data.

  Parameters:
    `root` -
    `address` -

### appendOnlineResource

    public static void appendOnlineResource(Element root,
                                            OnlineResource link)

  Appends the link.

  Parameters:
    `root` -
    `link` -

### appendOnlineResource

    public static void appendOnlineResource(Element root,
                                            URL link)

  Appends the link.

  Parameters:
    `root` -
    `link` -

### appendOnlineResource

    public static void appendOnlineResource(Element root,
                                            OnlineResource link,
                                            String tagName)

  Appends an online resource in a newly created element in the OWS namespace. The new element will be named according to the tagName parameter.

  Parameters:
    `root` -
    `link` -
    `tagName` -

### appendOnlineResource

    public static void appendOnlineResource(Element root,
                                            URL link,
                                            String tagName)

  Appends an online resource in a newly created element in the OWS namespace. The new element will be named according to the tagName parameter.

  Parameters:
    `root` -
    `link` -
    `tagName` -

### appendAccessConstraint

    public static void appendAccessConstraint(Element root,
                                              Constraints constraints)

  Appends the access constraint element. Please note that a lot of the information contained within will not be included in the output due to restrictions of the OWS specification.

  Parameters:
    `root` -
    `constraints` -

### appendCode

    public static void appendCode(Element root,
                                  String tagName,
                                  Code code)

  Appends an element of type CodeType with the given name and content.

  Parameters:
    `root` -
    `tagName` -
    `code` -

### appendKeywords

    public static void appendKeywords(Element root,
                                      Keywords keywords)

  Appends the contents of a `Keywords` object.

  Parameters:
    `root` -
    `keywords` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org